Publish a team package (zip base64)
Publish a team version to CliqHub so others can install it with cliq://scope/slug.
POST
/
teams
/
publish
Publish a team package (zip base64)
curl --request POST \
--url https://{host}/v1/teams/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"data_base64": "<string>",
"scope": "<string>",
"version": "<string>",
"changelog": "<string>",
"description": "<string>",
"license": "<string>",
"tags": [
"<string>"
],
"agents": {}
}
'import requests
url = "https://{host}/v1/teams/publish"
payload = {
"name": "<string>",
"data_base64": "<string>",
"scope": "<string>",
"version": "<string>",
"changelog": "<string>",
"description": "<string>",
"license": "<string>",
"tags": ["<string>"],
"agents": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
data_base64: '<string>',
scope: '<string>',
version: '<string>',
changelog: '<string>',
description: '<string>',
license: '<string>',
tags: ['<string>'],
agents: {}
})
};
fetch('https://{host}/v1/teams/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"name": "<string>",
"scope": "<string>",
"version": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Hub session JWT or user PAT (cliq_tok_…). PAT grants use domains + per-entity read|write|admin. Daemon tokens (cliq_dt_…) only on daemon enroll / heartbeat / poll.
Body
application/json
Minimum string length:
1Base64-encoded zip package
Minimum string length:
1Available options:
patch, minor, major Available options:
draft, public, private ⌘I
Publish a team package (zip base64)
